<?php
/**
 * The header for our theme
 *
 * @subpackage Agriculture Farming
 * @since 1.0
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php
	if ( function_exists( 'wp_body_open' ) ) {
	    wp_body_open();
	} else {
	    do_action( 'wp_body_open' );
	}
?>
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'agriculture-farming' ); ?></a>
	<?php if( get_theme_mod('organic_farm_theme_loader','') != ''){ ?>
		<div class="preloader">
			<div class="load">
			  <hr/><hr/><hr/><hr/>
			</div>
		</div>
	<?php }?>
	<div id="page" class="site">
		<div id="header" class="mb-5">
			<div class="topbar-outer">
				<div class="container">
					<div class="wrap_figure">
						<div class="top_header py-2">
							<div class="row">
								<div class="col-lg-8 col-md-8 box-center text-center text-md-left">
									<?php if( get_theme_mod('organic_farm_email') != ''){ ?>
										<span class="mr-3"><i class="fas fa-envelope mr-2"></i><?php echo esc_html(get_theme_mod('organic_farm_email','')); ?></span>
									<?php }?>
									<?php if( get_theme_mod('organic_farm_call') != ''){ ?>
										<span><i class="fas fa-phone mr-2"></i><?php echo esc_html(get_theme_mod('organic_farm_call','')); ?></span>
									<?php }?>
								</div>
								<div class="col-lg-4 col-md-4 box-center">
										<?php
							  		$header_social_icon_enable = esc_attr(get_theme_mod('header_social_icon_enable','true'));
							 		$organic_farm_header_fb_target = esc_attr(get_theme_mod('organic_farm_header_fb_target','true'));
							 		$organic_farm_header_twt_target = esc_attr(get_theme_mod('organic_farm_header_twt_target','true'));
							 		$organic_farm_header_ut_target = esc_attr(get_theme_mod('organic_farm_header_ut_target','true'));
							 		$organic_farm_header_ins_target = esc_attr(get_theme_mod('organic_farm_header_ins_target','true'));
									 ?>
									<?php if($header_social_icon_enable == true)
									{?>									
									<div class="links text-center text-md-right">
										<?php if( get_theme_mod('organic_farm_facebook') != ''){ ?>						<a <?php if($organic_farm_header_fb_target) { ?>target="_blank" <?php } ?>href="<?php echo esc_url(get_theme_mod('organic_farm_facebook','')); ?>"><?php if(get_theme_mod('organic_farm_facebook_icon')!=''){ ?> 
							          			<i class="<?php echo esc_html(get_theme_mod('organic_farm_facebook_icon')); ?> mr-3"></i>
							          			<?php } ?>
							          		</a>
										<?php }?>
										<?php if( get_theme_mod('organic_farm_twitter') != ''){ ?>
											<a <?php if($organic_farm_header_twt_target) { ?>target="_blank" <?php } ?>href="<?php echo esc_url(get_theme_mod('organic_farm_twitter','')); ?>"><?php if(get_theme_mod('organic_farm_twitter_icon')!=''){ ?> 
							          			<i class="<?php echo esc_html(get_theme_mod('organic_farm_twitter_icon')); ?> mr-3"></i>
							          			<?php } ?></a>
										<?php }?>
										<?php if( get_theme_mod('organic_farm_youtube') != ''){ ?>
											<a <?php if($organic_farm_header_ut_target) { ?>target="_blank" <?php } ?>href="<?php echo esc_url(get_theme_mod('organic_farm_youtube','')); ?>"><?php if(get_theme_mod('organic_farm_youtube_icon')!=''){ ?> 
							          			<i class="<?php echo esc_html(get_theme_mod('organic_farm_youtube_icon')); ?> mr-3"></i>
							          			<?php } ?></a>
										<?php }?>
										<?php if( get_theme_mod('organic_farm_instagram') != ''){ ?>
											<a <?php if($organic_farm_header_ins_target) { ?>target="_blank" <?php } ?>href="<?php echo esc_url(get_theme_mod('organic_farm_instagram','')); ?>"><?php if(get_theme_mod('organic_farm_instagram_icon')!=''){ ?> 
							          			<i class="<?php echo esc_html(get_theme_mod('organic_farm_instagram_icon')); ?> mr-3"></i>
							          			<?php } ?></a>
										<?php }?>
									</div>
									<?php }?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="menu-outer">
				<div class="container">
					<div class="menu_header py-2">
						<div class="row">
							<div class="col-lg-3 col-md-5 col-9 box-center">
								<div class="logo mb-lg-0 mb-md-3 mb-3">
							        <?php if ( has_custom_logo() ) : ?>
					            		<?php the_custom_logo(); ?>
						            <?php endif; ?>
					              	<?php $agriculture_farming_blog_info = get_bloginfo( 'name' ); ?>
							                <?php if ( ! empty( $agriculture_farming_blog_info ) ) : ?>
							                  	<?php if ( is_front_page() && is_home() ) : ?>
																			<?php if( get_theme_mod('organic_farm_logo_title',true) != '' ){ ?>
							                    	<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
																		<?php }?>
							                  	<?php else : ?>
																			<?php if( get_theme_mod('organic_farm_logo_title',true) != '' ){ ?>
						                      		<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
																			<?php }?>
						                  		<?php endif; ?>
							                <?php endif; ?>

						                <?php
					                  		$agriculture_farming_description = get_bloginfo( 'description', 'display' );
						                  	if ( $agriculture_farming_description || is_customize_preview() ) :
						                ?>
						                <?php if( get_theme_mod('organic_farm_logo_text',false) != '' ){ ?>
						                  	<p class="site-description">
						                    	<?php echo esc_html($agriculture_farming_description); ?>
						                  	</p>
						                <?php }?>
					              	<?php endif; ?>
							    </div>
							</div>
							<div class="col-lg-9 col-md-7 col-3 box-center">
								<?php if(has_nav_menu('primary')){?>
									<div class="toggle-menu gb_menu ">
										<button onclick="organic_farm_gb_Menu_open()" class="gb_toggle"><i class="fas fa-ellipsis-h"></i><p class="mb-0"><?php esc_html_e('Menu','agriculture-farming'); ?></p></button>
									</div>
								<?php }?>
				   				<?php get_template_part('template-parts/navigation/navigation'); ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
